For the complete documentation index, see llms.txt. This page is also available as Markdown.

Learningcircle

get

Retrieve Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/create/
GET /api/v1/dashboard/learningcircle/create/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
post

Create Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/create/
POST /api/v1/dashboard/learningcircle/create/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
put

Update Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/create/
PUT /api/v1/dashboard/learningcircle/create/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
delete

Delete Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/create/
DELETE /api/v1/dashboard/learningcircle/create/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
get

Retrieve Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/delete/{circle_id}/
GET /api/v1/dashboard/learningcircle/delete/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
post

Create Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/delete/{circle_id}/
POST /api/v1/dashboard/learningcircle/delete/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
put

Update Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/delete/{circle_id}/
PUT /api/v1/dashboard/learningcircle/delete/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
delete

Delete Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/delete/{circle_id}/
DELETE /api/v1/dashboard/learningcircle/delete/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
get

Retrieve Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/edit/{circle_id}/
GET /api/v1/dashboard/learningcircle/edit/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
post

Create Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/edit/{circle_id}/
POST /api/v1/dashboard/learningcircle/edit/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
put

Update Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/edit/{circle_id}/
PUT /api/v1/dashboard/learningcircle/edit/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
delete

Delete Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/edit/{circle_id}/
DELETE /api/v1/dashboard/learningcircle/edit/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
get

Retrieve Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/info/{circle_id}/
GET /api/v1/dashboard/learningcircle/info/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
post

Create Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/info/{circle_id}/
POST /api/v1/dashboard/learningcircle/info/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
put

Update Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/info/{circle_id}/
PUT /api/v1/dashboard/learningcircle/info/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
delete

Delete Learning Circle.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/info/{circle_id}/
DELETE /api/v1/dashboard/learningcircle/info/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
post

Create Circle Invite.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Body

Validates the invite request body for POST /invite/<circle_id>/.

muidstringRequired

muid of the user to invite, e.g. user@mulearn

leadbooleanOptionalDefault: false
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/invite/{circle_id}/
POST /api/v1/dashboard/learningcircle/invite/{circle_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "muid": "text",
  "lead": false
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "lead": false
  }
}
get

Retrieve Circle Sent Invites.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/invite/sent/{circle_id}/
GET /api/v1/dashboard/learningcircle/invite/sent/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "user_id": "text",
    "full_name": "text",
    "profile_pic": "text",
    "muid": "text",
    "is_lead_invite": true,
    "status": "text",
    "invited_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Circle Invite Status.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/invite/status/
GET /api/v1/dashboard/learningcircle/invite/status/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "circle_id": "text",
    "circle_title": "text",
    "ig": "text",
    "is_lead_invite": true,
    "invited_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Circle Invite Status.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/invite/status/
POST /api/v1/dashboard/learningcircle/invite/status/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "circle_id": "text",
    "circle_title": "text",
    "ig": "text",
    "is_lead_invite": true,
    "invited_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}

Retrieve Circle Invite Status.

Authorizations
sessionidstringRequired
Path parameters
link_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/invite/status/{link_id}/
GET /api/v1/dashboard/learningcircle/invite/status/{link_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "circle_id": "text",
    "circle_title": "text",
    "ig": "text",
    "is_lead_invite": true,
    "invited_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Circle Invite Status.

Authorizations
sessionidstringRequired
Path parameters
link_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/invite/status/{link_id}/
POST /api/v1/dashboard/learningcircle/invite/status/{link_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "circle_id": "text",
    "circle_title": "text",
    "ig": "text",
    "is_lead_invite": true,
    "invited_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Circle Join.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/join/{circle_id}/
GET /api/v1/dashboard/learningcircle/join/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "user_id": "text",
    "full_name": "text",
    "profile_pic": "text",
    "muid": "text",
    "requested_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Circle Join.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/join/{circle_id}/
POST /api/v1/dashboard/learningcircle/join/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "user_id": "text",
    "full_name": "text",
    "profile_pic": "text",
    "muid": "text",
    "requested_at": "2026-01-01T00:00:00.000Z"
  }
}
patch

Partially update Circle Join.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/learningcircle/join/{circle_id}/
PATCH /api/v1/dashboard/learningcircle/join/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "link_id": "text",
    "user_id": "text",
    "full_name": "text",
    "profile_pic": "text",
    "muid": "text",
    "requested_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/list/
GET /api/v1/dashboard/learningcircle/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
post

Create Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/list/
POST /api/v1/dashboard/learningcircle/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
put

Update Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/list/
PUT /api/v1/dashboard/learningcircle/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
delete

Delete Learning Circle.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/list/
DELETE /api/v1/dashboard/learningcircle/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "ig": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "created_by": "text"
  }
}
get

Retrieve Learning Circle Attendee Report.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/meeting/attendee-report/{meet_id}/
GET /api/v1/dashboard/learningcircle/meeting/attendee-report/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "report": "text",
    "report_link": "text"
  }
}
post

Create Learning Circle Attendee Report.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Attendee report submitted successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/meeting/attendee-report/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/attendee-report/{meet_id}/ HTTP/1.1
Accept: */*
200

Attendee report submitted successfully. No response body.

No content

delete

Delete Learning Circle Attendee Report.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Attendee report deleted successfully. No response body.

No content

delete/api/v1/dashboard/learningcircle/meeting/attendee-report/{meet_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/attendee-report/{meet_id}/ HTTP/1.1
Accept: */*
200

Attendee report deleted successfully. No response body.

No content

post

Create Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Body
circle_idstringRequired
titlestring · max: 100Required
descriptionstring · max: 1000Required
modestring · enumRequired
  • online - Online
  • offline - Offline
Possible values:
platformstring · enum · nullableOptional

Required for online meetings. One of: Zoom, Google Meet, Microsoft Teams, Other

  • Zoom - Zoom
  • Google Meet - Google Meet
  • Microsoft Teams - Microsoft Teams
  • Discord - Discord
  • Other - Other
Possible values:
meet_linkstring · uri · nullableOptional

Required for online meetings. Full URL of the meeting.

meet_placestring · nullableOptional

Required for offline meetings. Address/venue name.

coord_xnumber · double · nullableOptional

Required for offline meetings. Latitude coordinate.

coord_ynumber · double · nullableOptional

Required for offline meetings. Longitude coordinate.

meet_timestring · date-timeRequired
durationinteger · min: -2147483648 · max: 2147483647Required
is_recurringbooleanOptional
recurrence_typestring · max: 10 · nullableOptional
recurrenceinteger · min: -2147483648 · max: 2147483647 · nullableOptional
is_report_neededbooleanOptional
report_descriptionstring · max: 1000 · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/meeting/create/{circle_id}/
POST /api/v1/dashboard/learningcircle/meeting/create/{circle_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "circle_id": "text",
  "title": "text",
  "description": "text",
  "mode": "online",
  "platform": "Zoom",
  "meet_link": "https://example.com",
  "meet_place": "text",
  "coord_x": 1,
  "coord_y": 1,
  "meet_time": "2026-01-01T00:00:00.000Z",
  "duration": 1,
  "is_recurring": true,
  "recurrence_type": "text",
  "recurrence": 1,
  "is_report_needed": true,
  "report_description": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
put

Update Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/meeting/create/{circle_id}/
PUT /api/v1/dashboard/learningcircle/meeting/create/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
delete

Delete Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/meeting/create/{circle_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/create/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
post

Create Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Body
circle_idstringRequired
titlestring · max: 100Required
descriptionstring · max: 1000Required
modestring · enumRequired
  • online - Online
  • offline - Offline
Possible values:
platformstring · enum · nullableOptional

Required for online meetings. One of: Zoom, Google Meet, Microsoft Teams, Other

  • Zoom - Zoom
  • Google Meet - Google Meet
  • Microsoft Teams - Microsoft Teams
  • Discord - Discord
  • Other - Other
Possible values:
meet_linkstring · uri · nullableOptional

Required for online meetings. Full URL of the meeting.

meet_placestring · nullableOptional

Required for offline meetings. Address/venue name.

coord_xnumber · double · nullableOptional

Required for offline meetings. Latitude coordinate.

coord_ynumber · double · nullableOptional

Required for offline meetings. Longitude coordinate.

meet_timestring · date-timeRequired
durationinteger · min: -2147483648 · max: 2147483647Required
is_recurringbooleanOptional
recurrence_typestring · max: 10 · nullableOptional
recurrenceinteger · min: -2147483648 · max: 2147483647 · nullableOptional
is_report_neededbooleanOptional
report_descriptionstring · max: 1000 · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/meeting/delete/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/delete/{meet_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "circle_id": "text",
  "title": "text",
  "description": "text",
  "mode": "online",
  "platform": "Zoom",
  "meet_link": "https://example.com",
  "meet_place": "text",
  "coord_x": 1,
  "coord_y": 1,
  "meet_time": "2026-01-01T00:00:00.000Z",
  "duration": 1,
  "is_recurring": true,
  "recurrence_type": "text",
  "recurrence": 1,
  "is_report_needed": true,
  "report_description": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
put

Update Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/meeting/delete/{meet_id}/
PUT /api/v1/dashboard/learningcircle/meeting/delete/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
delete

Delete Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/meeting/delete/{meet_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/delete/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
post

Create Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Body
circle_idstringRequired
titlestring · max: 100Required
descriptionstring · max: 1000Required
modestring · enumRequired
  • online - Online
  • offline - Offline
Possible values:
platformstring · enum · nullableOptional

Required for online meetings. One of: Zoom, Google Meet, Microsoft Teams, Other

  • Zoom - Zoom
  • Google Meet - Google Meet
  • Microsoft Teams - Microsoft Teams
  • Discord - Discord
  • Other - Other
Possible values:
meet_linkstring · uri · nullableOptional

Required for online meetings. Full URL of the meeting.

meet_placestring · nullableOptional

Required for offline meetings. Address/venue name.

coord_xnumber · double · nullableOptional

Required for offline meetings. Latitude coordinate.

coord_ynumber · double · nullableOptional

Required for offline meetings. Longitude coordinate.

meet_timestring · date-timeRequired
durationinteger · min: -2147483648 · max: 2147483647Required
is_recurringbooleanOptional
recurrence_typestring · max: 10 · nullableOptional
recurrenceinteger · min: -2147483648 · max: 2147483647 · nullableOptional
is_report_neededbooleanOptional
report_descriptionstring · max: 1000 · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/learningcircle/meeting/edit/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/edit/{meet_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "circle_id": "text",
  "title": "text",
  "description": "text",
  "mode": "online",
  "platform": "Zoom",
  "meet_link": "https://example.com",
  "meet_place": "text",
  "coord_x": 1,
  "coord_y": 1,
  "meet_time": "2026-01-01T00:00:00.000Z",
  "duration": 1,
  "is_recurring": true,
  "recurrence_type": "text",
  "recurrence": 1,
  "is_report_needed": true,
  "report_description": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
put

Update Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/learningcircle/meeting/edit/{meet_id}/
PUT /api/v1/dashboard/learningcircle/meeting/edit/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
delete

Delete Learning Circle Meeting.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/learningcircle/meeting/edit/{meet_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/edit/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "platform": "Zoom",
    "meet_link": "https://example.com",
    "meet_place": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "duration": 1,
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "is_report_needed": true,
    "report_description": "text"
  }
}
get

Retrieve Learning Circle Meeting Info.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/meeting/info/{meet_id}/
GET /api/v1/dashboard/learningcircle/meeting/info/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "mode": "online",
    "meet_place": "text",
    "meet_link": "text",
    "meet_time": "2026-01-01T00:00:00.000Z",
    "ig": "text",
    "is_report_needed": true,
    "report_description": "text",
    "coord_x": 1,
    "coord_y": 1,
    "duration": 1,
    "is_started": "text",
    "is_ended": "text",
    "attendees": "text",
    "is_member": "text",
    "meet_code": "text",
    "created_by_id": "text"
  }
}
post

Create Learning Circle Join.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Joined the meeting successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/meeting/join/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/join/{meet_id}/ HTTP/1.1
Accept: */*
200

Joined the meeting successfully. No response body.

No content

delete

Delete Learning Circle Join.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Removed from meetup attendee list. No response body.

No content

delete/api/v1/dashboard/learningcircle/meeting/join/{meet_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/join/{meet_id}/ HTTP/1.1
Accept: */*
200

Removed from meetup attendee list. No response body.

No content

post

Create Learning Circle Join.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Joined the meeting successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/meeting/leave/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/leave/{meet_id}/ HTTP/1.1
Accept: */*
200

Joined the meeting successfully. No response body.

No content

delete

Delete Learning Circle Join.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Removed from meetup attendee list. No response body.

No content

delete/api/v1/dashboard/learningcircle/meeting/leave/{meet_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/leave/{meet_id}/ HTTP/1.1
Accept: */*
200

Removed from meetup attendee list. No response body.

No content

get

Retrieve Learning Circle Meeting List.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/meeting/list/
GET /api/v1/dashboard/learningcircle/meeting/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "ig_id": "text",
    "ig_name": "text",
    "mode": "online",
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "meet_place": "text",
    "is_rsvp": "text",
    "circle_id": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "meet_link": "text",
    "is_started": "text",
    "is_ended": "text",
    "is_joined": "text",
    "attendees_count": "text",
    "created_by": "text",
    "created_by_id": "text"
  }
}
get

Retrieve Learning Circle Meeting Public List.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/meeting/list-public/
GET /api/v1/dashboard/learningcircle/meeting/list-public/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "ig_id": "text",
    "ig_name": "text",
    "mode": "online",
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "meet_place": "text",
    "circle_id": "text",
    "meet_time": "2026-01-01T00:00:00.000Z",
    "meet_link": "text",
    "is_started": "text",
    "is_ended": "text",
    "created_by": "text"
  }
}
get

Retrieve Learning Circle Meeting List.

Authorizations
sessionidstringOptional
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/meeting/list/{circle_id}/
GET /api/v1/dashboard/learningcircle/meeting/list/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "org": "text",
    "ig_id": "text",
    "ig_name": "text",
    "mode": "online",
    "is_recurring": true,
    "recurrence_type": "text",
    "recurrence": 1,
    "meet_place": "text",
    "is_rsvp": "text",
    "circle_id": "text",
    "coord_x": 1,
    "coord_y": 1,
    "meet_time": "2026-01-01T00:00:00.000Z",
    "meet_link": "text",
    "is_started": "text",
    "is_ended": "text",
    "is_joined": "text",
    "attendees_count": "text",
    "created_by": "text",
    "created_by_id": "text"
  }
}
get

Retrieve Learning Circle Report.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/meeting/report/{meet_id}/
GET /api/v1/dashboard/learningcircle/meeting/report/{meet_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_report_submitted": true,
    "report": "text",
    "attendees": [
      {
        "user_id": "text",
        "full_name": "text",
        "muid": "text",
        "is_lc_approved": true,
        "report": "text",
        "report_link": "text"
      }
    ]
  }
}
post

Create Learning Circle Report.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Meeting report submitted successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/meeting/report/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/report/{meet_id}/ HTTP/1.1
Accept: */*
200

Meeting report submitted successfully. No response body.

No content

delete

Delete Learning Circle Report.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

Meeting report deleted successfully. No response body.

No content

delete/api/v1/dashboard/learningcircle/meeting/report/{meet_id}/
DELETE /api/v1/dashboard/learningcircle/meeting/report/{meet_id}/ HTTP/1.1
Accept: */*
200

Meeting report deleted successfully. No response body.

No content

post

Create Learning Circle R S V P.

Authorizations
sessionidstringRequired
Path parameters
meet_idstringRequired
Responses
200

RSVP registered successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/meeting/rsvp/{meet_id}/
POST /api/v1/dashboard/learningcircle/meeting/rsvp/{meet_id}/ HTTP/1.1
Accept: */*
200

RSVP registered successfully. No response body.

No content

get

Retrieve Learning Circle Member Details.

Authorizations
sessionidstringOptional
Path parameters
circle_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/members/{circle_id}/
GET /api/v1/dashboard/learningcircle/members/{circle_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "owner": {
      "id": "text",
      "full_name": "text",
      "profile_pic": "text",
      "muid": "text"
    },
    "members": [
      {
        "id": "text",
        "full_name": "text",
        "profile_pic": "text",
        "muid": "text",
        "ig_karma": 1,
        "is_leader": true
      }
    ]
  }
}
post

Create Circle Member Add.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200

Member added to the circle successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/members/add/{circle_id}/
POST /api/v1/dashboard/learningcircle/members/add/{circle_id}/ HTTP/1.1
Accept: */*
200

Member added to the circle successfully. No response body.

No content

post

Create Circle Transfer Lead.

Authorizations
sessionidstringRequired
Path parameters
circle_idstringRequired
Responses
200

Circle lead transferred successfully. No response body.

No content

post/api/v1/dashboard/learningcircle/transfer-lead/{circle_id}/
POST /api/v1/dashboard/learningcircle/transfer-lead/{circle_id}/ HTTP/1.1
Accept: */*
200

Circle lead transferred successfully. No response body.

No content

get

Retrieve User Circle List.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/learningcircle/user-circles/
GET /api/v1/dashboard/learningcircle/user-circles/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "circle_id": "text",
    "title": "text",
    "ig": "text",
    "org": "text",
    "is_lead": true,
    "total_members": "text",
    "joined_at": "2026-01-01T00:00:00.000Z"
  }
}

Last updated

Was this helpful?